%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           dreampie
Version:        1.0.2
Release:        2%{?dist}
Summary:        A graphical cross-platform interactive Python shell

Group:          Development/Tools
License:        GPLv3+ and LGPLv2+ and BSD and ASL 2.0 and Python and Copyright only
# py_zipimport.py is ASL 2.0
# SimpleGladeApp.py is LGPLv2.1+
# odict.py is BSD
# subprocess_interact.py is Python
# gtkexcepthook.py is Copyright only
URL:            http://dreampie.sourceforge.net/
Source0:        http://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildArch:      noarch

Requires:       pygtksourceview
Requires:       pygtk2
Requires:       pygtk2-libglade

%description
DreamPie was designed from the ground up for an interactive Python
experience. It features a window divided into a history box and a code box,
automatic completion, automatic display of function arguments and
documentation, a result history that can be saved as HTML, automatic folding
of long outputs etc.


%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

desktop-file-validate \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%doc %attr(644,root,root) %{_mandir}/man?/%{name}.*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/dreampielib
%{python_sitelib}/%{name}-*.egg-info


%changelog
* Thu Mar 11 2010 Ionuț C. Arțăriși <mapleoin@fedoraproject.org> - 1.0.2-2
- changed group to Development/Tools
- marked manpages as %%doc
- added pygtk2-libglade dependency
- added more license fields: BSD, ASL, Python and Copyright only

* Wed Mar  3 2010 Ionuț C. Arțăriși <mapleoin@fedoraproject.org> - 1.0.2-1
- fixed spelling error in description
- don't make subp_main.py executable
- don't pass cflags to build command
- use global instead of define macros
- changed license field to GPLv3+ and LGPLv2+
- updated to 1.0.2

* Mon Feb 22 2010 Ionuț C. Arțăriși <mapleoin@fedoraproject.org> - 1.0-1
- initial package
